<ng-container *ngIf="usersList | async as users; else usersLoading">

  <button matTooltip="Add new user" matTooltipPosition="before" (click)="addUser()" mat-icon mat-fab>
    <mat-icon>person_add</mat-icon>
  </button>

  <ng-container *ngIf="users.length != 0; else noUsers">

    <mat-list>
      <ort-user-list-item *ngFor="let user of users; trackBy: trackUsersByID" [user]="user" (edit)="editUser($event)" (delete)="deleteUser($event)"></ort-user-list-item>
    </mat-list>

  </ng-container>

</ng-container>

<ng-template #usersLoading>

  <div class="spinner-wrapper">
    <mat-spinner></mat-spinner>
  </div>

</ng-template>

<ng-template #noUsers>

  <div class="empty-wrapper">
    <mat-icon>block</mat-icon>
    <p>No users in database.</p>
    <p>Add a user by using the button in the bottom right of the screen.</p>
  </div>

</ng-template>
